aboutsummaryrefslogtreecommitdiff
path: root/sci
diff options
context:
space:
mode:
authorluis <luis@370017ae-e619-0410-ac65-c121f96126d4>2007-06-21 16:44:04 +0000
committerluis <luis@370017ae-e619-0410-ac65-c121f96126d4>2007-06-21 16:44:04 +0000
commitc5834a0a5b8615a487f91d563d7bb9dee5b4bb49 (patch)
treebbf908984edeec7b6af71e5bf4fc89f372eee786 /sci
parent9d25ae5e37f3c5fabfe0fe981d1686c3faca3933 (diff)
downloadslackbuilds-c5834a0a5b8615a487f91d563d7bb9dee5b4bb49.tar.gz
slackbuilds-c5834a0a5b8615a487f91d563d7bb9dee5b4bb49.tar.bz2
generic.SlackBuild v0.8.4 & updated: gnupg2, gtkwave, iverilog, microcode_ctl
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@1266 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'sci')
-rwxr-xr-xsci/electronics/gtkwave/gtkwave.SlackBuild63
-rwxr-xr-xsci/electronics/iverilog/iverilog.SlackBuild30
-rwxr-xr-xsci/electronics/ivi/ivi.SlackBuild23
3 files changed, 66 insertions, 50 deletions
diff --git a/sci/electronics/gtkwave/gtkwave.SlackBuild b/sci/electronics/gtkwave/gtkwave.SlackBuild
index e7c0aa7e..3d000699 100755
--- a/sci/electronics/gtkwave/gtkwave.SlackBuild
+++ b/sci/electronics/gtkwave/gtkwave.SlackBuild
@@ -1,16 +1,19 @@
#!/bin/bash
#
-# gtkwave.SlackBuild is free software; you can redistribute it and/or modify it under the
-# terms of the GNU General Public License as published by the Free Software
-# Foundation; either version 2 of the License, or any later version.
+# gtkwave.SlackBuild is free software; you can redistribute
+# it and/or # modify it under the terms of the GNU General Public
+# License as published by # the Free Software Foundation; either
+# version 2 of the License, or any later version.
#
-# gtkwave.SlackBuild is distributed in the hope that it will be useful, but WITHOUT ANY
-# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+# gtkwave.SlackBuild is distributed in the hope that it
+# will be useful, # but WITHOUT ANY WARRANTY; without even the
+# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
#
-# You should have received a copy of the GNU General Public License along with
-# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
-# Place - Suite 330, Boston, MA 02111-1307, USA
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
+# MA 02111-1307, USA
#
# SlackBuild for GTKWave
# http://home.nc.rr.com/gtkwave/
@@ -29,8 +32,8 @@ fi
CWD="$(pwd)"
SRC_NAME="gtkwave"
PKG_NAME="gtkwave"
-ARCH="i486"
-SRC_VERSION=${VERSION:=3.0.22}
+ARCH=${ARCH:=i486}
+SRC_VERSION=${VERSION:=3.0.29}
PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
BUILD=${BUILD:=1ls}
SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
@@ -42,6 +45,22 @@ PKG_SRC="$TMP/$SRC_NAME-$SRC_VERSION"
CONF_OPTIONS=${CONF_OPTIONS:=}
NUMJOBS=${NUMJOBS:=-j4}
+# Set system libraries' path and optmization flags based on $ARCH
+LIBDIR="$PREFIX/lib"
+
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIR="$PREFIX/lib64"
+fi
+
# Set error codes (used by createpkg)
ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
@@ -65,28 +84,16 @@ if [ ! -s "$SRC_DIR/$SRC" ] || ! gzip -t "$SRC_DIR/$SRC" 2> /dev/null; then
wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
fi
-# Check if GTKWave should be built for GTK+-2.x (default,
-#+if both are available) or 1.x
-pkg-config gtk+-2.0 --libs 1> /dev/null 2> /dev/null
-if [ $? == 0 ]; then
- GTK_VERSION=2
-else
- gtk-config --libs 1> /dev/null 2> /dev/null
- if [ $? == 0 ]; then
- GTK_VERSION=1
- else
- echo "ERROR: GTKWave requires either GTK+-1.x or 2.x"
- exit $ERROR_CONF
- fi
-fi
-
# Untar
cd "$TMP"
tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
cd "$PKG_SRC"
# Configure
-echo $GTK_VERSION | ./configure "$CONF_OPTIONS" || exit $ERROR_CONF
+CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
# Compile
make "$NUMJOBS" || exit $ERROR_MAKE
@@ -118,7 +125,7 @@ if [ -d "$PKG/$PREFIX/man" ]; then
fi
# Install documentation
-DOCS="*.TXT doc/gtkwave.odt examples"
+DOCS="*.TXT"
mkdir -p "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
cp -a $DOCS "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION"
diff --git a/sci/electronics/iverilog/iverilog.SlackBuild b/sci/electronics/iverilog/iverilog.SlackBuild
index 8dba36b3..b2c49fa5 100755
--- a/sci/electronics/iverilog/iverilog.SlackBuild
+++ b/sci/electronics/iverilog/iverilog.SlackBuild
@@ -1,16 +1,19 @@
#!/bin/bash
#
-# iverilog.SlackBuild is free software; you can redistribute it and/or modify it under the
-# terms of the GNU General Public License as published by the Free Software
-# Foundation; either version 2 of the License, or any later version.
+# iverilog.SlackBuild is free software; you can redistribute
+# it and/or # modify it under the terms of the GNU General Public
+# License as published by # the Free Software Foundation; either
+# version 2 of the License, or any later version.
#
-# iverilog.SlackBuild is distributed in the hope that it will be useful, but WITHOUT ANY
-# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+# iverilog.SlackBuild is distributed in the hope that it
+# will be useful, # but WITHOUT ANY WARRANTY; without even the
+# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
#
-# You should have received a copy of the GNU General Public License along with
-# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
-# Place - Suite 330, Boston, MA 02111-1307, USA
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
+# MA 02111-1307, USA
#
# SlackBuild for iverilog (Icarus Verilog)
# http://www.icarus.com/eda/verilog/
@@ -30,7 +33,7 @@ CWD="$(pwd)"
SRC_NAME="verilog"
PKG_NAME="iverilog"
ARCH=${ARCH:=i486}
-SRC_VERSION=${VERSION:=0.8.3}
+SRC_VERSION=${VERSION:=0.8.4}
PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
BUILD=${BUILD:=1ls}
SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
@@ -89,13 +92,16 @@ cd "$PKG_SRC"
# Configure
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
- ./configure "$CONF_OPTIONS" || exit $ERROR_CONF
+ ./configure \
+ --prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
# Compile
make "$NUMJOBS" || exit $ERROR_MAKE
# Install
-make install prefix="$PKG/$PREFIX" || exit $ERROR_INSTALL
+make install \
+ prefix="$PKG/$PREFIX" libdir="$PKG/$LIBDIR" \
+ libdir64="$PKG/$LIBDIR" vpidir="$PKG/$LIBDIR" || exit $ERROR_INSTALL
# Strip binaries
( cd "$PKG"
diff --git a/sci/electronics/ivi/ivi.SlackBuild b/sci/electronics/ivi/ivi.SlackBuild
index 15b0166e..66c9c5fc 100755
--- a/sci/electronics/ivi/ivi.SlackBuild
+++ b/sci/electronics/ivi/ivi.SlackBuild
@@ -1,16 +1,19 @@
#!/bin/bash
#
-# ivi.SlackBuild is free software; you can redistribute it and/or modify it under the
-# terms of the GNU General Public License as published by the Free Software
-# Foundation; either version 2 of the License, or any later version.
+# ivi.SlackBuild is free software; you can redistribute
+# it and/or # modify it under the terms of the GNU General Public
+# License as published by # the Free Software Foundation; either
+# version 2 of the License, or any later version.
#
-# ivi.SlackBuild is distributed in the hope that it will be useful, but WITHOUT ANY
-# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+# ivi.SlackBuild is distributed in the hope that it
+# will be useful, # but WITHOUT ANY WARRANTY; without even the
+# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
#
-# You should have received a copy of the GNU General Public License along with
-# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
-# Place - Suite 330, Boston, MA 02111-1307, USA
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
+# MA 02111-1307, USA
#
# SlackBuild for IVI (Icarus Verilog Interactive) v0.4-pre-20031121
# http://sourceforge.net/projects/ivi
@@ -83,7 +86,7 @@ for patch in $patches; do
done
# Configure
-./configure "$CONF_OPTIONS" || exit $ERROR_CONF
+./configure $CONF_OPTIONS || exit $ERROR_CONF
# Compile
make "$NUMJOBS" || exit $ERROR_MAKE